## octave-quaternion 2.0.0

=== DESCRIPTION ===
Name: quaternion
Version: 2.0.0
Date: 2012-03-28
Author: Lukas Reichlin <lukas.reichlin@gmail.com>
Maintainer: Lukas Reichlin <lukas.reichlin@gmail.com>
Title: Quaternion
Description: Overloaded operators for quaternions
Depends: octave (>= 3.6.0)
Autoload: yes
License: GPLv3+
Url: http://octave.sf.net

=== src/Makefile ===
all: is_real_array.oct

# helper
is_real_array.oct: is_real_array.cc
	mkoctfile is_real_array.cc

clean:
	rm *.o core octave-core *.oct *~

=== debian/changelog ===
octave-quaternion (2.0.0-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Initial release (closes: #529732)
  * debian/patches/add-doc-source.patch: New patch

 -- Thomas Weber <tweber@debian.org>  Mon, 02 Apr 2012 14:13:17 +0200

=== debian/control ===
Source: octave-quaternion
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>,
           Sébastien Villemot <sebastien.villemot@ens.fr>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1)
Standards-Version: 3.9.3
Homepage: http://octave.sourceforge.net/quaternion
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-quaternion.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-quaternion.git

Package: octave-quaternion
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: quaternion package for Octave
 This package implements the manipulation of quaternions used for
 frame transformation.  It runs under Octave, a scientific computation
 software.
 .
 This Octave add-on package is part of the Octave-Forge project.

## octave-quaternion 2.0.2

=== DESCRIPTION ===
Name: quaternion
Version: 2.0.2
Date: 2012-10-25
Author: Lukas Reichlin <lukas.reichlin@gmail.com>
Maintainer: Lukas Reichlin <lukas.reichlin@gmail.com>
Title: Quaternion
Description: Quaternion package for GNU Octave, includes a quaternion class with overloaded operators
Depends: octave (>= 3.6.0)
Autoload: yes
License: GPLv3+
Url: http://octave.sf.net

=== debian/changelog ===
octave-quaternion (2.0.2-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 2.0.2

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 29 Oct 2012 20:06:40 +0100

octave-quaternion (2.0.1-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 2.0.1
  * Drop patch add-doc-source.patch (applied upstream)
  * debian/copyright: Refresh for new upstream release
  * Bump Standards-Version to 3.9.4 (no changes needed)
  * Use Sébastien Villemot's @debian.org email address
  * Remove obsolete DM-Upload-Allowed flag

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 15 Oct 2012 21:40:21 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>,
-           Sébastien Villemot <sebastien.villemot@ens.fr>
-DM-Upload-Allowed: yes
+           Sébastien Villemot <sebastien@debian.org>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://octave.sourceforge.net/quaternion
 Vcs-Git: git://git.debian.org/git/pkg-octave/octave-quaternion.git
 Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-quaternion.git

## octave-quaternion 2.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: quaternion
-Version: 2.0.2
-Date: 2012-10-25
+Version: 2.2.0
+Date: 2014-01-04
 Author: Lukas Reichlin <lukas.reichlin@gmail.com>
 Maintainer: Lukas Reichlin <lukas.reichlin@gmail.com>
 Title: Quaternion

=== debian/changelog ===
octave-quaternion (2.2.0-1build1) trusty; urgency=medium

  * Rebuild for octave 3.8.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2014 18:26:46 +0000

octave-quaternion (2.2.0-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Imported Upstream version 2.2.0
  * debian/copyright: Reflect upstream changes

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 13 Jan 2014 19:22:26 +0100

octave-quaternion (2.0.3-1) unstable; urgency=low

  [ Sébastien Villemot ]
  * Imported Upstream version 2.0.3
  * debian/copyright: reflect upstream changes.
  * Bump Standards-Version to 3.9.5, no changes needed.

  [ Thomas Weber ]
  * debian/control: Use canonical URLs in Vcs-* fields

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 06 Nov 2013 14:44:29 +0000

octave-quaternion (2.0.2-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Use the octave-maintainers mailing list as upstream
    contact

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 20 May 2013 13:44:12 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Thomas Weber <tweber@debian.org>,
            Sébastien Villemot <sebastien@debian.org>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://octave.sourceforge.net/quaternion
-Vcs-Git: git://git.debian.org/git/pkg-octave/octave-quaternion.git
-Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-quaternion.git
+Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-quaternion.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-quaternion.git
 
 Package: octave-quaternion
 Architecture: any

## octave-quaternion 2.2.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: quaternion
-Version: 2.2.0
-Date: 2014-01-04
+Version: 2.2.2
+Date: 2014-07-20
 Author: Lukas Reichlin <lukas.reichlin@gmail.com>
 Maintainer: Lukas Reichlin <lukas.reichlin@gmail.com>
 Title: Quaternion

=== debian/changelog ===
octave-quaternion (2.2.2-1build2) wily; urgency=medium

  * No-change rebuild against liboctave3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 15 Aug 2015 12:32:56 +0000

octave-quaternion (2.2.2-1build1) wily; urgency=medium

  * No-change rebuild against liboctave3

 -- Matthias Klose <doko@ubuntu.com>  Sat, 15 Aug 2015 12:01:01 +0000

octave-quaternion (2.2.2-1) unstable; urgency=medium

  * Team upload.
  * Imported Upstream version 2.2.2
  * Uploaders: remove Thomas Weber and myself, add Rafael Laboissiere.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 06 Aug 2014 21:23:26 +0200

octave-quaternion (2.2.1-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Imported Upstream version 2.2.1

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 13 May 2014 19:53:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: octave-quaternion
 Section: math
 Priority: optional
-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
-Uploaders: Thomas Weber <tweber@debian.org>,
-           Sébastien Villemot <sebastien@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
+Uploaders: Rafael Laboissiere <rafael@laboissiere.net>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1)
 Standards-Version: 3.9.5
 Homepage: http://octave.sourceforge.net/quaternion

## octave-quaternion 2.4.0

=== src/Makefile ===
--- 
+++ 
@@ -5,4 +5,7 @@
 	mkoctfile is_real_array.cc
 
 clean:
-	rm *.o core octave-core *.oct *~
+	rm -rf *.o core octave-core *.oct *~
+
+realclean: clean
+	rm -rf *.a

=== debian/changelog ===
octave-quaternion (2.4.0-11) unstable; urgency=medium

  * d/control:
    + Update Homepage URL
    + Drop “Rules-Requires-Root: no”, which is now the default
    + Bump Standards-Version to 4.7.2 (no changes needed)
  * d/copyright: Update Source URL
  * d/u/metadata:
    + Update Bug-Database URL
    + Add Repository URL
  * d/watch: Convert to format version 5
  * d/s/lintian-override: Update override for the Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Wed, 15 Oct 2025 04:02:26 -0300

octave-quaternion (2.4.0-10) unstable; urgency=medium

  * d/copyright:
    + Accentuate my family name
    + Update Copyright years for debian/* files
  * Set upstream metadata fields: Archive.
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 10:47:28 -0300

octave-quaternion (2.4.0-9) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 09 Dec 2020 18:18:57 +0100

octave-quaternion (2.4.0-8) experimental; urgency=medium

  * d/control: Bump Standards-Version to 4.5.1 (no changes needed)
  * d/p/build-against-octave-6.patch: New patch (Closes: #976203)

 -- Rafael Laboissière <rafael@debian.org>  Tue, 01 Dec 2020 20:12:53 -0300

octave-quaternion (2.4.0-7) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Bump debhelper compatibility level to 13
  * d/u/metadata: New file

 -- Rafael Laboissière <rafael@debian.org>  Wed, 29 Jul 2020 11:12:41 -0300

octave-quaternion (2.4.0-6) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.4.1 (no changes needed)
    + Bump dependency on dh-octave to >= 0.7.1
      This allows the injection of the virtual package octave-abi-N
      into the package's list of dependencies.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 07 Nov 2019 19:00:32 -0300

octave-quaternion (2.4.0-5) unstable; urgency=medium

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Rafael Laboissiere ]
  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:57:35 -0200

octave-quaternion (2.4.0-4) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:37:27 -0200

octave-quaternion (2.4.0-3) unstable; urgency=medium

  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control:
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Add Testsuite field

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:14:28 -0200

octave-quaternion (2.4.0-2) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * d/control:
    + Use secure URIs in the Vcs-* fields
    + Bump Standards-Version to 4.0.1 (no changes needed)
    + Use cgit instead of gitweb in Vcs-Browser URL

  [ Sébastien Villemot ]
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 21 Aug 2017 17:38:12 -0300

octave-quaternion (2.4.0-1) unstable; urgency=medium

  * Imported Upstream version 2.4.0
  * Bump Standards-Version to 3.9.6 (no changes needed)
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sat, 12 Sep 2015 12:16:28 -0300

=== debian/control ===
Source: octave-quaternion
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissière <rafael@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-octave
Standards-Version: 4.7.2
Homepage: https://gnu-octave.github.io/packages/quaternion/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-quaternion.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-quaternion
Testsuite: autopkgtest-pkg-octave

Package: octave-quaternion
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: quaternion package for Octave
 This package implements the manipulation of quaternions used for
 frame transformation.  It runs under Octave, a scientific computation
 software.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/quaternion/
Matching-Pattern: https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/quaternion-@ANY_VERSION@@ARCHIVE_EXT@

## octave-quaternion 2.4.2

=== DESCRIPTION ===
Name: quaternion
Version: 2.4.2
Date: 2025-12-10
Author: Lukas Reichlin <lukas.reichlin@gmail.com>
Maintainer: Lukas Reichlin <lukas.reichlin@gmail.com>
Title: Quaternion
Description: Quaternion package for GNU Octave, includes a quaternion class with overloaded operators
Depends: octave (>= 4.4.0)
Autoload: no
License: GPLv3+
Url: http://octave.sf.net

=== debian/changelog ===
octave-quaternion (2.4.2-5) unstable; urgency=medium

  * d/rules: Use the local_list variable to indicate the local
    installation location

 -- Rafael Laboissière <rafael@debian.org>  Thu, 19 Feb 2026 13:38:09 +0000

octave-quaternion (2.4.2-4) unstable; urgency=medium

  * d/rules: Also specify the architecture-dependent prefix for pkg

 -- Rafael Laboissière <rafael@debian.org>  Tue, 17 Feb 2026 16:30:11 +0000

octave-quaternion (2.4.2-3) unstable; urgency=medium

  * d/rules: Use a more robust temporary directory for package installation

 -- Rafael Laboissière <rafael@debian.org>  Tue, 17 Feb 2026 15:35:24 +0000

octave-quaternion (2.4.2-2) unstable; urgency=medium

  * Proper installation of the package before building the
    documentation. Installing the quaternion package is necessary for
    building the documentation via the devel/generate_quaternion_pdf.m
    script. This is done now entirely in debian/rules, via the
    unpacked tarball. The pkg-install-locally.patch patch is not
    needed anymore.

 -- Rafael Laboissière <rafael@debian.org>  Tue, 17 Feb 2026 14:24:17 +0000

octave-quaternion (2.4.2-1) unstable; urgency=medium

  * New upstream version 2.4.2 (Closes: #1127046)
  * d/p/build-against-octave-6.patch: Drop patch (applied upstream)
  * d/control:
    + Drop the redundant Priority field, which defaults to optional now
    + Bump Standards-Version to 4.7.3
    + Build-depend on octave-generate-html
    + Build-depend on texlive-base
  * d/salsa-ci.yml: New file
  * d/copyright: Reflect upstream changes
  * d/p/pkg-install-locally.patch: New patch
  * d/octave-quaternion.docs: Update path of the quaternion.pdf file
  * d/rules: Generate the quaternion.pdf file
  * d/clean: New file

 -- Rafael Laboissière <rafael@debian.org>  Mon, 16 Feb 2026 17:22:35 +0000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: octave-quaternion
 Section: math
-Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-sequence-octave
-Standards-Version: 4.7.2
+               dh-sequence-octave,
+               octave-generate-html <!nodoc>,
+               texlive-base <!nodoc>
+Standards-Version: 4.7.3
 Homepage: https://gnu-octave.github.io/packages/quaternion/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-quaternion.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-quaternion
 Testsuite: autopkgtest-pkg-octave
 
 Package: octave-quaternion
-Architecture: any
+Architecture: all
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
 Description: quaternion package for Octave
  This package implements the manipulation of quaternions used for

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_install:
	octave-cli --eval "pkg ('local_list', fullfile (pwd (),		\
                                  'local-list'));			\
	                   cd devel;					\
	                   source ('generate_quaternion_pdf.m')"
endif
